
/* Tiny Movie Manager (TMM)
 * 2008 by Tobias W. Kjeldsen 
 * feel free to email: tobias@wkjeldsen.dk
 * third party contributors; Calvin Tai - for his Ftp Bean library */

package tmm;

import java.io.Serializable;


public class FTPSettings implements Serializable {

    private String serveraddress;
    private String username;
    private String password;
    private String path;
    private boolean ftpdynamic;
    private boolean enabled;

    public FTPSettings() {
    }

    public String getPassword() {
        return password;
    }

    public String getPath() {
        return path;
    }

    public String getServeraddress() {
        return serveraddress;
    }

    public String getUsername() {
        return username;
    }

    public boolean isFtpdynamic() {
        return ftpdynamic;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public void setServeraddress(String serveraddress) {
        this.serveraddress = serveraddress;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public void setFtpdynamic(boolean ftpdynamic) {
        this.ftpdynamic = ftpdynamic;
    }

    public boolean isEnabled() {
        return enabled;
    }

    public void setEnabled(boolean enabled) {
        this.enabled = enabled;
    }
}
